petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatGetRowMax

Gets the maximum value (of the real part) of each row of the matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetRowMax(Mat mat,Vec v,PetscInt idx[])

Logically Collective on Mat and Vec Many br

### Input Parameters

mat -the matrix Many br

### Output Parameter

| v | - the vector for storing the maximums Many br
| idx | - the indices of the column found for each row (optional) Many br

Many br

Notes: The result of this call are the same as if one converted the matrix to dense format Many brand found the minimum value in each row (i.e. the implicit zeros are counted as zeros). Many br

This code is only implemented for a couple of matrix formats. Many br

### See Also

MatGetDiagonal(), MatGetSubMatrices(), MatGetSubmatrix(), MatGetRowMaxAbs(), MatGetRowMin()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages